
Colony - Task #354

Clean up presentations and papers

03/06/2009 11:52 PM - Kevin Woo

Status: Fixed Start date: 03/06/2009

Priority: Low Due date:  

Assignee: Kevin Woo % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Misc.   

Description

Add Felix's pre F05 papers, find random presentations from throughout the years given at status meetings, etc.

History

#1 - 03/21/2009 12:54 PM - Rich Hong

- Category set to 29

#2 - 09/24/2010 01:53 PM - Alex Zirbel

- Status changed from Assigned to Fixed
